View Issue Details

IDProjectCategoryView StatusLast Update
0003916unrealircdpublic2010-08-16 04:13
ReportersyzopAssigned Toohnobinki 
PrioritynormalSeverityminorReproducibilityN/A
Status resolvedResolutionfixed 
Product Version 
Target VersionFixed in Version3.2.9-RC1 
Summary0003916: upgrade TRE
Descriptionupgrade tre to 0.8.0 and do much testing...
TagsNo tags attached.
3rd party modules

Relationships

child of 0003776 resolvedsyzop Unreal3.2.9 TODO 

Activities

syzop

2010-08-08 20:25

administrator   ~0016257

unassigned (for now). I'm fine if you'd like to do this, binki...

ohnobinki

2010-08-16 02:57

reporter   ~0016279

I've already done the hack I mentioned above for c-ares, so I might as well do the same for libtre.

ohnobinki

2010-08-16 04:13

reporter   ~0016280

- Upgrade to tre-0.8.0, adding hack similar to the one for c-ares to ensure that the bundled tre is compiled against even when a system libtre is installed. (0003916)

Concerning the much testing: I don't yet have any methodologies to stress-test the regexp-reliant portions of unrealircd (such as spamfilter). I think it's best to just commit this now and hope that possible bugs show up for CVS users. I know that I've had no trouble compiling or running unrealircd against a system-installed libtre-0.8.0 on my lappy. I know that the API hasn't changed as the API is POSIX-compatible (and thus the ABI couldn't've really changed). Thus, I don't anticipate any tre-0.8.0-related problems ;-).

Issue History

Date Modified Username Field Change
2010-07-05 13:22 syzop New Issue
2010-07-05 13:22 syzop Status new => assigned
2010-07-05 13:22 syzop Assigned To => syzop
2010-07-05 13:22 syzop QA => Not touched yet by developer
2010-07-05 13:22 syzop U4: Need for upstream patch => No need for upstream InspIRCd patch
2010-07-05 13:22 syzop U4: Upstream notification of bug => Not decided
2010-07-05 13:22 syzop U4: Contributor working on this => None
2010-07-05 13:22 syzop Relationship added child of 0003776
2010-08-08 20:24 syzop Assigned To syzop =>
2010-08-08 20:24 syzop Status assigned => acknowledged
2010-08-08 20:25 syzop Note Added: 0016257
2010-08-16 02:57 ohnobinki Note Added: 0016279
2010-08-16 02:57 ohnobinki Status acknowledged => assigned
2010-08-16 02:57 ohnobinki Assigned To => ohnobinki
2010-08-16 04:13 ohnobinki Note Added: 0016280
2010-08-16 04:13 ohnobinki Status assigned => resolved
2010-08-16 04:13 ohnobinki Fixed in Version => 3.2.9-RC1
2010-08-16 04:13 ohnobinki Resolution open => fixed